Package org.kapott.hbci.sepa.jaxb.pain_001_001_03

# Class CashAccountSEPA1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_03.CashAccountSEPA1

public class CashAccountSEPA1 extends Object

Java class for CashAccountSEPA1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashAccountSEPA1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}AccountIdentificationSEPA"/>
             <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.03}ActiveOrHistoricCurrencyCode" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`ccy`
`protected AccountIdentificationSEPA`
`id`

## Constructor Summary

Constructors
Constructor
Description
`CashAccountSEPA1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCcy()`
Gets the value of the ccy property.
`AccountIdentificationSEPA`
`getId()`
Gets the value of the id property.
`void`
`setCcy(String value)`
Sets the value of the ccy property.
`void`
`setId(AccountIdentificationSEPA value)`
Sets the value of the id property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected AccountIdentificationSEPA id

### ccy

protected String ccy

## Constructor Details

### CashAccountSEPA1

public CashAccountSEPA1()

## Method Details

### getId

public AccountIdentificationSEPA getId()
Gets the value of the id property.

Returns:
  possible object is `AccountIdentificationSEPA`

### setId

public void setId(AccountIdentificationSEPA value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `AccountIdentificationSEPA`

### getCcy

public String getCcy()
Gets the value of the ccy property.

Returns:
  possible object is `String`

### setCcy

public void setCcy(String value)
Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`